import { gV as l, gR as a, c1 as c } from "./684d2f28.js";
import "react";
import "react-dom";
test("test params control", () => {
  const o = "xx{{1+2+x}}sd{{-1}}";
  let t = new l({
    value: o
  });
  t = a(t), expect(t.toJsonValue()).toEqual(o), expect(c.mapValues(t.getView(), (e) => e({
    x: 4
  }))).toEqual({
    "-1": -1,
    "1+2+x": 7
  });
  const n = "{{3+2}}";
  t = t.reduce(t.changeChildAction("text", "{{3+2}}")), t = a(t), expect(t.toJsonValue()).toEqual(n), expect(c.mapValues(t.getView(), (e) => e())).toEqual({
    "3+2": 5
  });
});
